//
// FindNearestProperties200Response.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct FindNearestProperties200Response: Codable, JSONEncodable, Hashable {

    public var bestChoice: Property?
    public var neighbors: [Property]?
    public var properties: [Property]?

    public init(bestChoice: Property? = nil, neighbors: [Property]? = nil, properties: [Property]? = nil) {
        self.bestChoice = bestChoice
        self.neighbors = neighbors
        self.properties = properties
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case bestChoice
        case neighbors
        case properties
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(bestChoice, forKey: .bestChoice)
        try container.encodeIfPresent(neighbors, forKey: .neighbors)
        try container.encodeIfPresent(properties, forKey: .properties)
    }
}

